/*@import url('/resources/ottcms/font/S_Core_Dream/s_core_dream.css');*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: 'S-Core Dream', sans-serif;
/*   background-color: var(--secondary-color); */
}
body.no-scroll {
  overflow: hidden;
}

.main-container {
  max-width: 100%;
  min-height: calc(100vh - 400px);
  margin: auto;
  display: flex;
  align-items: center;
  flex-direction: column;
  /* font-size: 15px; */
  font-weight: 500;
  padding-bottom: 75px;
}

.main-box {
  width: 100%;
  /* max-width: 1842px; */
/*   padding: 0px 30px 30px; */
/*   padding: 40px 0 0; */
}

.main-inner {
	width: min(1400px, 100%);
	margin: 0 auto;
}
#sub-main-box {
  width: min(1460px, 100%);
  margin: 0 auto;
  padding: 0 30px;
}

.title {
  --mb: var(--mb, 10px);
  --color: var(--color, var(--default-color));
  font-family: 'SB-Aggro';
  font-size: 42px;
  font-weight: 400;
  color: var(--color, var(--default-color));
  margin-bottom: var(--mb, 10px);
}

.btn-circle {
	display: flex;
	align-items: center;
	justify-content: center;
	width: var(--size, 60px);
	height: var(--size, 60px);
	border: 1px solid var(--borderColor, #e3e3e3);
	border-radius: 100%;
	background: var(--bg, #fff) url('') no-repeat center;
}
.btn-circle.__left {
	background-image: url('/resources/ottcms/newImg/chevron-bk-left.svg');
}
.btn-circle.__right {
	background-image: url('/resources/ottcms/newImg/chevron-bk-right.svg');
}

.sections-header-box {
  display: flex;
  gap: 20px;
  align-items: center;
  justify-content: space-between;
  margin-bottom: var(--mb, 40px);
  color: #111111;
}
.sections-header-box button {
  background: var(--secondary-color);
  cursor: pointer;
  border-radius: 50%;
  border: none;
  display: flex;
  width: 78px;
  height: 78px;
  justify-content: center;
  align-items: center;
}

.card-wrapper {
  overflow: hidden;
  background: #fff;
  padding: 19px;
  border-radius: 50px;
}

.card-wrapper .swiper-pagination-bullet {
  height: 8px;
  width: 8px;
  opacity: 0.5;
  background: #d4d6da;
}

.card-wrapper .swiper-pagination-bullet-active {
  opacity: 1;
  height: 8px;
  width: 30px;
  border-radius: 10px;
}

.swiper-button-next:after,
.swiper-button-prev:after {
  display: none;
}

.switch-box {
  --width: var(--width, 100%);
  --height: var(--height, 45px);
  --mainBg: var(--mainBg, #fff);
  --mainColor: var(--mainColor, #343ab9);
  --checkedBg: var(--checkedBg, #343ab9);
  --checkedColor: var(--checkedColor, #fff);
  --left: var(--left, 18%);
  --leftOff: var(--leftOff, 18%);
  position: relative;
  width: var(--width);
  height: var(--height);
  border-radius: 50px;
  background: var(--mainBg);
  transition: background-color 0.4s;
  cursor: pointer;
}
.switch-box input {
  appearance: none;
  width: 100%;
  height: 100%;
  border-radius: 50px;
  outline: none;
  cursor: pointer;
  pointer-events: none;
}
.switch-box input::before,
.switch-box input::after {
  z-index: 2;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-weight: 600;
}
.switch-box input::before {
  content: attr(data-on);
  left: var(--left);
  text-align: center;
}
.switch-box input::after {
  content: attr(data-off);
  right: var(--leftOff);
}
.switch-box label {
  z-index: 1;
  position: absolute;
  top: 10px;
  bottom: 0px;
  border-radius: 50px;
}
.switch-box input {
  transition: 0.25s;
  font-size: var(--font-l);
}
.switch-box input:checked::before {
  color: var(--checkedColor);
  transition: color 0.5s;
}

.switch-box input:checked::after {
  color: var(--mainColor);
  transition: color 0.5s;
}
.switch-box.is-regular input::before {
  color: var(--checkedColor);
}
.switch-box.is-regular input::after {
  color: var(--mainColor);
}
.switch-box.is-lump-sum input::before {
  color: var(--mainColor);
}
.switch-box.is-lump-sum input::after {
  color: var(--checkedColor);
}
.switch-box input:checked + label {
  top: 0px;
  left: 0px;
  right: 50%;
  background: var(--checkedBg);
  transition: left 0.5s, right 0.4s 0.2s;
}

.switch-box input:not(:checked)::before {
  color: var(--mainColor);
  transition: color 0.5s;
}
.switch-box input:not(:checked)::after {
  color: var(--checkedColor);
  transition: color 0.5s 0.2s;
}
.switch-box input:not(:checked) + label,
.switch-box.is-lump-sum > label {
  left: 50%;
  right: 0;
  top: 0;
  background: var(--checkedBg);
  transition: left 0.4s 0.2s, right 0.5s, background 0.35s;
}

.switch-box.is-regular > label {
  left: 0;
  right: 50%;
  top: 0;
  background: var(--checkedBg);
  transition: left 0.5s, right 0.4s 0.2s;
}

.radio-btn-on,
.radio-btn-off {
  position: absolute;
  top: 53%;
  width: 22px;
  height: 22px;
  background-color: var(--mainBg);
  border-radius: 50%;
  border: 6px solid var(--checkedBg);
  transform: translateY(-50%);
  transition: all 0.25s;
  z-index: 3;
}

.radio-btn-on {
  left: 13%;
}

.radio-btn-off {
  right: 30.5%;
}

.switch-box input:checked ~ .radio-btn-on {
  border: 6px solid var(--checkedColor);
  background-color: var(--checkedBg);
}

.switch-box input:not(:checked) ~ .radio-btn-off {
  border: 6px solid var(--checkedColor);
  background-color: var(--checkedBg);
}

.scroll-to-top {
  position: fixed;
  bottom: 5%;
  right: 40px;
  width: 50px;
  height: 50px;
  background-color: #b7b7b780;
  color: #fff;
  border: none;
  border-radius: 50%;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  display: none;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  transition: opacity 0.3s ease, transform 0.3s ease;
  z-index: 5;
}

.scroll-to-top:hover {
  /* background-color: #ff9800; */
  background-color: #77777780;
  transform: scale(1.1);
}

:focus-visible {
  outline: none;
}
@media (max-width: 1660px) {
	.main-inner {
		padding-left: 30px;
		padding-right: 30px;
	}
}

@media (max-width: 768px) {
  .title {
    font-size: 27px;
    /* margin-bottom: 30px; */
    margin-bottom: var(--mb);
  }
  .switch-box {
    height: 45px;
  }

  .radio-btn-on,
  .radio-btn-off {
    width: 18px;
    height: 18px;
    border: 4px solid var(--checkedBg);
  }
  .radio-btn-on {
    left: 10%;
  }

  .radio-btn-off {
    right: 38%;
  }
  .sections-header-box {
    margin-bottom: 30px;
    /* align-items: baseline; */
  }
  .sections-header-box button {
    width: 50px;
    height: 50px;
  }
}

/* @media (max-width: 480px) {
  .main-box {
    padding: 10px;
    width: 100%;
  }
} */
